Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I recently installed the newest version of Ubuntu (12.04 LTS 32 bit).

Afterward, I opened up Update Manager and got the following error:

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:The package mysql-server-5.5 needs to be reinstalled, but I can't find an archive for it.'

I don't use MySQL-server, and I don't know how to fix this. After I get this error, package manager closes leaving me unable to update anything.

Update Manager: Update Manager

apt-get upgrade:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: The package mysql-server-5.5 needs to be reinstalled, but I can't find an archive for it.

@Rinzwind:

I tried sudo rm /var/lib/apt/lists/* -vf
/var/lib/apt/lists/ directory emptied
sudo apt-get update worked, and populated the folder
Update manager still has the same problem

share|improve this question
add comment

1 Answer 1

I found the answer.

sudo dpkg --remove --force-remove-reinstreq mysql-server-5.5 fixed the problem.

Thank you http://www.embeddedheaven.com/the-package-needs-to-be-reinstalled-but-i-cant-find-an-archive-for-it.htm for helping me.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.